Get an Agent
curl --request GET \
--url https://api.checkfu.com/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/agents/{agent_id}"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/agents/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/agents/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/agents/{agent_id}")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/agents/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"connection_bindings": [
{
"name": "<string>",
"connection_id": "<string>",
"provider": "<string>",
"provider_package_digest": "<string>",
"connection_revision_id": "<string>",
"capability_snapshot_id": "<string>",
"capability_snapshot_digest": "<string>",
"tools": [
{
"name": "<string>",
"digest": "<string>"
}
]
}
],
"model": {
"id": "<string>",
"effort": {
"type": "low"
},
"inference_geo": "global",
"speed": "standard",
"provider": "<string>",
"model_credential_id": "<string>"
},
"name": "<string>",
"harness": "<string>",
"description": "<string>",
"mcp_servers": [
{
"type": "url",
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
],
"system": "<string>",
"tools": [
{
"type": "agent_toolset_20260401",
"configs": [
{
"name": "bash",
"type": "bash",
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
],
"default_config": {
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
}
],
"workload_trust": {
"declaration": {
"value": "trusted",
"recorded_at": "<string>"
},
"facts": {
"authorship": "organization_engineer",
"source_review": "workspace_controlled",
"execution_plane": "organization_local",
"input_exposure": {
"source_build": "controlled",
"ingress": "controlled",
"resources": "controlled",
"installations": "controlled",
"content_capabilities": "controlled"
}
},
"effective": "trusted"
},
"type": "agent",
"updated_at": "<string>",
"version": 123,
"browser": {
"tier": "isolate"
},
"skill_selection": {
"type": "listed",
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
]
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Get an Agent
Returns one CMA-compatible Agent by ID from the authenticated Workspace.
GET
/
v1
/
agents
/
{agent_id}
Get an Agent
curl --request GET \
--url https://api.checkfu.com/v1/agents/{agent_id} \
--header 'Authorization: Bearer <token>' \
--header 'checkfu-version: <checkfu-version>'import requests
url = "https://api.checkfu.com/v1/agents/{agent_id}"
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'checkfu-version': '<checkfu-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.checkfu.com/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/agents/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/agents/{agent_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.checkfu.com/v1/agents/{agent_id}")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/agents/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"archived_at": "<string>",
"created_at": "<string>",
"connection_bindings": [
{
"name": "<string>",
"connection_id": "<string>",
"provider": "<string>",
"provider_package_digest": "<string>",
"connection_revision_id": "<string>",
"capability_snapshot_id": "<string>",
"capability_snapshot_digest": "<string>",
"tools": [
{
"name": "<string>",
"digest": "<string>"
}
]
}
],
"model": {
"id": "<string>",
"effort": {
"type": "low"
},
"inference_geo": "global",
"speed": "standard",
"provider": "<string>",
"model_credential_id": "<string>"
},
"name": "<string>",
"harness": "<string>",
"description": "<string>",
"mcp_servers": [
{
"type": "url",
"name": "<string>",
"url": "<string>"
}
],
"metadata": {},
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
],
"system": "<string>",
"tools": [
{
"type": "agent_toolset_20260401",
"configs": [
{
"name": "bash",
"type": "bash",
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
],
"default_config": {
"enabled": true,
"permission_policy": {
"type": "always_allow"
}
}
}
],
"workload_trust": {
"declaration": {
"value": "trusted",
"recorded_at": "<string>"
},
"facts": {
"authorship": "organization_engineer",
"source_review": "workspace_controlled",
"execution_plane": "organization_local",
"input_exposure": {
"source_build": "controlled",
"ingress": "controlled",
"resources": "controlled",
"installations": "controlled",
"content_capabilities": "controlled"
}
},
"effective": "trusted"
},
"type": "agent",
"updated_at": "<string>",
"version": 123,
"browser": {
"tier": "isolate"
},
"skill_selection": {
"type": "listed",
"skills": [
{
"type": "anthropic",
"skill_id": "<string>",
"version": "<string>"
}
]
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Path Parameters
Pattern:
^agent_[0-9a-f]{32}$Query Parameters
Required range:
x >= 1Response
ManagedAgentsAgent
Pattern:
^agent_[0-9a-f]{32}$Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 255a harness catalog name this deployment serves: claude-code, cline, codex, cursor, deepagents, deepseek, hermes, openclaw, openclaw-connected, opencode, pi
Pattern:
^[a-z0-9](?:[a-z0-9._-]{0,93})(?:@(?:latest|[1-9][0-9]{0,8}))?$- Option 1
- Option 2
Show child attributes
Show child attributes
at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
agent Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes